ParsedResultType (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, enum: ParsedResultType

Package com.google.zxing.client.result

# Enum ParsedResultType

java.lang.Object
java.lang.Enum<ParsedResultType>
com.google.zxing.client.result.ParsedResultType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParsedResultType>`, `java.lang.constant.Constable`

public enum ParsedResultType extends Enum<ParsedResultType>
Represents the type of data encoded by a barcode -- from plain text, to a URI, to an e-mail address, etc.

Author:
  Sean Owen

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDRESSBOOK`
  `CALENDAR`
  `EMAIL_ADDRESS`
  `GEO`
  `ISBN`
  `PRODUCT`
  `SMS`
  `TEL`
  `TEXT`
  `URI`
  `VIN`
  `WIFI`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParsedResultType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ParsedResultType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDRESSBOOK

    public static final ParsedResultType ADDRESSBOOK

  - ### EMAIL_ADDRESS

    public static final ParsedResultType EMAIL_ADDRESS

  - ### PRODUCT

    public static final ParsedResultType PRODUCT

  - ### URI

    public static final ParsedResultType URI

  - ### TEXT

    public static final ParsedResultType TEXT

  - ### GEO

    public static final ParsedResultType GEO

  - ### TEL

    public static final ParsedResultType TEL

  - ### SMS

    public static final ParsedResultType SMS

  - ### CALENDAR

    public static final ParsedResultType CALENDAR

  - ### WIFI

    public static final ParsedResultType WIFI

  - ### ISBN

    public static final ParsedResultType ISBN

  - ### VIN

    public static final ParsedResultType VIN

- ## Method Details

  - ### values

    public static ParsedResultType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ParsedResultType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null